Skip to main content
Version: v2

Stock Exchanges

What are stock exchanges?​

Stock Exchanges are the entities where public companies are listed.

List all stock exchanges​

To list all of the stock exchanges and browse them via the API, use the list endpoint:

GET /api/v2/stock-exchanges

Get a stock exchange​

You may also directly retrieve a stock exchange's details if you already have its system ID.

GET /api/v2/stock-exchanges/123

Where 123 is the system ID of the stock exchange.

Schema​

Full response schema​

KeyTypeFilterableSortableConfigurableDescription
idinteger✅ (exact)✅✅The system ID.
namestring✅✅✅The name of the stock exchange.
codestring✅✅✅The code for the stock exchange.
suffixstring✅✅✅The stock suffix when part of this stock exchange.
operating_micstring✅✅✅The operating Market Identifier Code for the stock exchange.
currencystring✅✅✅The reporting currency used by the exchange.
created_atstring❌✅✅A datetime string when this stock exchange was first created.
updated_atstring(updated since)✅✅A datetime string when this stock exchange was last updated.

Relationship Response Schema​

The slim relationship schema is used when the stock exchange is used as part of an include in another resource.

KeyTypeDescription
idintegerThe system ID for the stock exchange.
namestringThe name of the stock exchange.
codestringThe code for the stock exchange.
suffixstringThe stock suffix when part of this stock exchange.
operating_micstringThe operating Market Identifier Code for the stock exchange.

Additional Filters​

For convenience, we have a set of additional filters that are not available in the default filters or are part of the columns. These are:

  • countries - A comma-separated list of country IDs to only return stock exchanges in those countries.
  • country_codes - A comma-separated list of country codes (two-letter, ISO standard) to only return stock exchanges in those countries.

Relationships & includes​

By default, relationships apart from the sector are not included. See the includes section for more information on how this works. The following relationships are available:

  • country - The country where the exchange is located.